post
https://saner.secpod.com/AncorWebService/perform
This method allows you to update one or more groups. It requires groupname to be updated and allows you to update description or assign profile and configuration settings to the group. It is required to provide complete details of group (description, profile name, configuration name etc) each time this update request is sent. If configuration name or profile name is not provided during update, it is understood that configuration or profile is to be unassigned from that group.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| groupname | Existing group name to be updated. | Yes | string |
| newgroupname | New group name to rename the group. If not provided, group name remains unchanged. | No | string |
| groupdesc | Updated group description. Complete details must be provided in each update request. If not provided, it is understood description is to be unassigned/cleared. | No | string |
| profilename | Profile name to assign to the group. If not provided, it is understood that profile is to be unassigned from the group. | No | string |
| configname | Configuration name to assign to the group. If not provided, it is understood that configuration is to be unassigned from the group. | No | string |
